Draft: Simmetria

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Mirror and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Pagina precedente: Draft Drawing.svg Disegno
Pagina successiva: Stira Draft Stretch.svg Arrow-right.svg

Draft Mirror.svg Simmetria

Posizione nel menu
Draft → Simmetria
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Draft Scala, Clone

Descrizione

Lo strumento Draft Mirror.svg Simmetria produce una copia speculare di un oggetto selezionato, usando l'operazione Specchia di Part. La copia è collegata all'oggetto originale, esattamente come un Clone. Ciò significa che se l'oggetto originale cambia forma e proprietà, anche la forma specchiata cambia.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign o Arch.

Draft Mirror example.jpg

Oggetto speculare creato utilizzando una linea di riflessione

Utilizzo

See also: Draft Snap and Draft Constrain.

  1. Selezionare un oggetto che si desidera riflettere
  2. Premere il pulsante Draft Mirror.svg Simmetria. Se nessun oggetto è selezionato, si viene invitati a selezionarne uno.
  3. Fare clic su un primo punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto.
  4. Fare clic su un secondo punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto. Questi punti definiscono una linea che, insieme alla vista della telecamera, definisce un piano specchiante che viene utilizzato per creare l'oggetto specchiato.

Options

The single character keyboard shortcuts mentioned here can be changed. See Draft Preferences.

Opzioni

  • Premere X, Y o Z dopo il primo punto per vincolare il secondo punto su un dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio tra ciascun componente X, Y e Z.
  • Premere R o fare clic sulla casella di controllo per attivare la modalità "relativa". Se la modalità relativa è attiva, le coordinate del secondo punto sono relative alla prima; se no, sono assolute, prese dall'origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Simmetria si riavvia dopo aver assegnato il secondo punto, consentendo di inserire un altro oggetto senza premere nuovamente il pulsante dello strumento.
  • Tenere premuto Ctrl mentre si disegna per forzare lo snap al punto di aggancio più vicino, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il secondo punto in orizzontale o in verticale rispetto al primo.
  • Premere il pulsante Esc o Chiudi per interrompere il comando corrente.

Notes

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Properties

See also: Property editor.

A Part Mirror object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Base

  • DatiSource (Link): specifies the object that is mirrored.

Plane

Proprietà

  • DatiSource: specifica l'oggetto da rispecchiare,
  • DatiBase: specifica il punto base del piano speculare.
  • DatiNormal: specifica la direzione normale del piano speculare.

Scripting

Lo strumento Simmetria può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

mirrored_list = mirror(objlist, p1, p2)
  • Crea unoggetto Simmetria di Part da una objlist, che può essere un singolo oggetto o un elenco di oggetti.
  • Til piano di riflessione è definito dalla linea costruita con i punti p1 e p2, e parallelo alla vista corrente.
  • Viene restituita una mirrored_list con i nuovi oggetti.
    • mirrored_list è un singolo oggetto o un elenco di oggetti, a seconda dell'input di objlist.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)

line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)

Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Drawing.svg Disegno
Pagina successiva: Stira Draft Stretch.svg Arrow-right.svg